<?php
require_once("../../../../dompdf/dompdf_config.inc.php");
require_once "../../../../dompdf/www/functions.inc.php";

require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/bs_info_col.php';
require_once '../rangos.php';

if (!isset($_SESSION)) { session_start(); }
date_default_timezone_set("America/Bogota");

$codigo=$_REQUEST['cod'];
$folio=$_REQUEST['folio'];

function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

//---------------------------------

 function ceros($nota){

     if (strlen($nota)==1)
        $nota="00".$nota;
     
     elseif (strlen($nota)==2)
         $nota="0".$nota;

    return $nota;

}

//---------------------------------

function leyenda($cod){

    $obj = new database();
    $obj->conectar(); 
    $obj->consulta("set names 'utf8'");
    
           
    $query=$obj->consulta("select * from alumnos where codigo='".$cod."'");
    if($obj->numero_de_filas($query) > 0)
       $data= $obj->fetch_assoc($query);

    $query=$obj->consulta("select * from matriculas 
                           where codigo='".$cod."'
                           AND anolectivo='".$_SESSION['anolectivo']."'");
    
    if($obj->numero_de_filas($query) > 0)
       $matri= $obj->fetch_assoc($query);

    $infogrado=$obj->consulta("select * from grados where codigo='".$matri['grado']."'");
    if($obj->numero_de_filas($infogrado) > 0)
       $grado = $obj->fetch_assoc($infogrado);

    $infocur=$obj->consulta("select * from cursos 
                             where anolectivo='".$_SESSION['anolectivo']."'
                             AND grado='".$matri['grado']."' 
                             and codigo='".$matri['curso']."'");
    
    if($obj->numero_de_filas($infocur) > 0)
       $curso = $obj->fetch_assoc($infocur);
    
    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."'");
    if($obj->numero_de_filas($infjor) > 0)
       $jornada = $obj->fetch_assoc($infjor);
  

    $brleyen=$obj->consulta('truncate table constancia');

  
    $leyen="Que el estudiante ".($data['p_apellido'])." ".($data['s_apellido'])." ".($data['p_nombre'])." ".($data['s_nombre']);
    
    $leyen.=", curs&oacute; y";

    if($matri['promovido']=='SI')
        $leyen.=" aprob&oacute;";
    else
        $leyen.=" reprob&oacute;";

    $leyen.=" el grado ".($curso['descripcion'])." de ".$grado['nivel'];
    $leyen.=" en el a&ntilde;o ".$_SESSION['anolectivo'];
    $leyen.=", de conformidad a la ley 115, y el decreto 1860 de 1994 y 1290 del 2009
            seg&uacute;n consta en el libro de registro de la Instituci&oacute;n Educativa.";
    
    return $leyen;

    $obj->disconnect();

}

//---------------------------------

function notas($grado,$curso,$codigo){

$obj = new database();
$obj->conectar(); 
$obj->consulta("set names 'utf8'");

$s="<table style='font-family: verdana,arial,sans-serif;font-size: 12px;' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'  align='center'>
    <tr style='font-size: 16px;'>
    <th width='60%'>AREAS</th>
    <th width='5%'>I.H.S</th>
    <th width='15%'>E.V.</th>
    <th width='20%'>DESEMPE&Ntilde;O</th>
    </tr>
    </table>";
        
// --- AREAS --------

$resultado=$obj->consulta("select areas.codigo, areas.descripcion from areas  
                                 inner join notas_finales_areas 
                                 on areas.codigo = notas_finales_areas.area
                                 where areas.anolectivo='".$_SESSION['anolectivo']."'
                                 and notas_finales_areas.anolectivo='".$_SESSION['anolectivo']."'
                                 and notas_finales_areas.grado='".$grado."' 
                                 and notas_finales_areas.grupo='".$curso."' 
                                 GROUP BY areas.codigo
                                 order by areas.orden");


$n=$obj->numero_de_filas($resultado);

if ($n>1){

$s.="<table style='font-family: verdana,arial,sans-serif;font-size: 14px;' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'  align='center'>";
    
    while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --
                                    
        // -------Nota Final Asign ----------
                           
        $p5=$obj->consulta("select * from notas_finales_areas
                            where anolectivo='".$_SESSION['anolectivo']."' 
                            and area='".$row['codigo']."' 
                            and grado='".$grado."' 
                            and grupo='".$curso."' 
                            and codigo='".$codigo."'");

        $t=$obj->numero_de_filas($p5);

        if ($t!=0){

          $nota_p5 = $obj->fetch_assoc($p5);

          $np5=decimales($nota_p5['definitiva']);

          /* ---Intensidad horaria por Areas  - sumamos la de las asignaturas  */

          $resul_total=$obj->consulta("select sum(intensidad) as i_h 
                                      from curso_asignatura_profesor 
                                      inner join notas_finales_asign 
                                      on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura)
                                      and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) 
                                      and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                                      where notas_finales_asign.anolectivo='".$_SESSION['anolectivo']."'
                                      and curso_asignatura_profesor.anolectivo='".$_SESSION['anolectivo']."'
                                      and notas_finales_asign.codigo='".$codigo."' 
                                      and notas_finales_asign.grado='".$grado."' 
                                      and notas_finales_asign.grupo='".$curso."' 
                                      and notas_finales_asign.area='".$row['codigo']."'");

          $row5 = $obj->fetch_assoc($resul_total);
          
          $s.="<tr>";
          $s.="<td width='60%' style='font-size:14px' width='40%'>&nbsp;&nbsp;".($row['descripcion'])."</td>";
          $s.="<td width='5%' style='text-align:center;font-size: 14px' >".($row5['i_h'])."</td>";
 
          $s.="<td width='15%' style='font-size:14px;text-align:center' >".$np5." </td>
          <td width='20%' style='font-size:14px;text-align:center'>".($nota_p5['valor_area'])."</td>";
                                   
          $s.="</tr>";
       }

    }     //  ---  RECUPERACION FINAL  --
    
    $s.="</table>";
    
    if ($_SESSION['anolectivo']<=2018){
       
        $s.="<table style='font-family: verdana,arial,sans-serif;font-size: 14px;' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'  align='center'>";
   
        $matri=$obj->consulta("select * from matriculas
                               where anolectivo='".$_SESSION['anolectivo']."' 
                               and codigo='".$codigo."'");
        $recup= $obj->fetch_assoc($matri);
         
        $s.="<tr>";
        $s.="<td align='justify' colspan='4' style='font-size:12px'>".($recup['recuperacion_final'])."</td>";                                  
        $s.="</tr>";  
        $s.="</table>";  
    }
    
                    
  }

          
  return $s;
          
  $obj->disconnect();
}

//---------------------------------



$ob=new database();

$ob->conectar(); 
$ob->consulta("set names 'utf8'");

//-------- Informacion Colegio  -------------

$rs=$ob->consulta("select * from parametros");
$row=$ob->fetch_assoc($rs);

//-------- Informacion Grado  -------------

$matri=$ob->consulta("select * from matriculas 
                      where anolectivo='".$_SESSION['anolectivo']."'
                      AND codigo='".$codigo."'");
                      
$row50=$ob->fetch_assoc($matri);


//$ob->disconnect();


//-----Informacion Colegio
$rs=$ob->consulta("select * from registrar");
$info=$ob->fetch_assoc($rs);

/*
<tr> 
<td align='center' width='70%'></FONT></td>
<td align='right' width='30%'><b>FOLIO No.  ".ceros($folio)."</b></td>
</tr>
*/


$html="
<html>
<head>
<meta http-equiv='expires' content='0'>
<meta http-equiv='Cache-Control' content='no-cache'>
<meta http-equiv='Pragma' CONTENT='no-cache'>
<title>LIBRO FINAL</title>
  <style>
    
    #footer { position: fixed; left: 0px; bottom:0px; right: 0px; height: 300px; background-color: white; }
    #footer .page:after { content: counter(page, upper-roman); }
    @page { margin: 30px 30px 0px 30px; }
   
  </style>
  
</head>
<body background='../../../../fotografias/escudo_constancia.jpg' style='background:center;background-repeat:no-repeat;background-attachment:fixed'>

<CENTER>
<img height='100' width='85%' src='../../../../imagenes/cabeza_certificado.jpg'/>
</CENTER>


<table style='font-family: verdana,arial,sans-serif;' border='0' width='90%'  align='center'>
<tr> 
<td align='center' width='70%'></FONT></td>
<td align='right' width='30%'><b></b></td>
</tr>

<tr>
<td colspan='2' style='font-size:13px'>
<p align='center'><b>APROBADO</b><BR><BR>En los Niveles de Educaci&oacute;n Preescolar, Educaci&oacute;n
B&aacute;sica Primaria, Secundaria y Media. <BR><br> La Suscrita Rectora y la Secretaria
de la Instituci&oacute;n Educativa</p>
</td>
</tr>";

$html.="
<tr>
<td  colspan='2' align='center' style='font-size:16px'>

<b> CERTIFICAN QUE</b>
</td>
</tr>

<tr> 
<td colspan='2' style='font-size:13px'>
<p align='justify'>".leyenda($codigo)."</p>
</td>
</tr>

</table>";

$matri=$ob->consulta("select * from matriculas 
                      where anolectivo='".$_SESSION['anolectivo']."'
                      AND codigo='".$codigo."'");
                      
$row1=$ob->fetch_assoc($matri);

$html.=notas($row1['grado'],$row1['curso'],$codigo);


$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

$html.="

<table  style='font-family: verdana,arial,sans-serif;font-size: 13px;' width='90%'  align='center' id='font'>
    <tr>
        <td><p align='justify'>
            Este certificado no requiere autenticaci&oacute;n Seg&uacute;n Decreto 2150/95 ni Vo Bo del delegado del MEN, Seg&uacute;n 
            Decreto 1789/88.
            </p>

             <p>lunes,11 de febrero de 2019</p>

    </tr>

</table>"; 
 
$html.="
<div id='footer'>  
<center>
<img height='100' width='75%' src='../../../../imagenes/firmas_2018.jpg'/>
<br><br><br><br>
<img height='100' width='95%' src='../../../../imagenes/pie_certificado.jpg'/>
</center>  
</div>
</body>
</html>";

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
//$dompdf->set_paper('letter','landscape');
$dompdf->render();

$dompdf->stream($codigo.".pdf", array("Attachment" => false));
  

?>